Page cover

bananaNANO-BANANA-PRO

Base-Path:

https://api.hyprlab.io/v1

Image Path:

https://api.hyprlab.io/v1/images/generations

Making Request:

curl https://api.hyprlab.io/v1/images/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $HYPRLAB_API_KEY" \
  -d '{
    "model": "nano-banana-pro",
    "prompt": "cat",
    "response_format": "url",
    "output_format": "png"
  }'
chevron-right 📌 Request Body Documentationhashtag

prompt (string, required)

  • Description: The main text prompt that influences the output generation.

  • Validation:

    • Must be a non-empty string.

image_input (string / object, optional)

  • Description: This is used to guide the generation.

  • Validation:

    • Must be a string / object of (URL, Data URI, or base64 string).

aspect_ratio (string, optional)

  • Description: Defines the aspect ratio of the output.

  • Validation:

    • Must be one of the following valid aspect ratios:

      • match_input_image

      • 1:1

      • 9:16

      • 16:9

      • 3:4

      • 4:3

      • 3:2

      • 2:3

      • 5:4

      • 4:5

      • 21:9

resolution(string, optional)

  • Description: Image resolution.

  • Validation:

    • Must be one of the following valid size:

      • 1K

      • 2K

      • 4K

response_format (string, optional)

  • Description: The format in which the response will be returned.

  • Validation:

    • Must be either:

      • "url" or "b64_json".

output_format (string, optional)

  • Description: The file format for the output.

  • Validation:

    • Must be one of the following formats:

      • png, jpeg, webp.


Pricing Details

Model Name:
  • nano-banana-pro

Discount:
  • 50% off

Price:
  • 1K Resolution: $0.075 / Image

  • 2K Resolution: $0.075 / Image

  • 4K Resolution: $0.15 / Image

Last updated